com.amazonaws.services.machinelearning.model

## Enum DataSourceFilterVariable

- java.lang.Object
- - java.lang.Enum<DataSourceFilterVariable>
  - - com.amazonaws.services.machinelearning.model.DataSourceFilterVariable

All Implemented Interfaces:
  Serializable, Comparable<DataSourceFilterVariable>

    public enum DataSourceFilterVariable
    extends Enum<DataSourceFilterVariable>

A list of the variables to use in searching or filtering `DataSource`.

- `CreatedAt` - Sets the search criteria to `DataSource` creation date.
- `Status` - Sets the search criteria to `DataSource` status.
- `Name` - Sets the search criteria to the contents of `DataSource` `Name`.
- `DataUri` - Sets the search criteria to the URI of data files used to create the `DataSource`. The URI can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
- `IAMUser` - Sets the search criteria to the user account that invoked the `DataSource` creation.

<note>Note

The variable names should match the variable names in the `DataSource`.

</note>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CreatedAt`
`DataLocationS3`
`IAMUser`
`LastUpdatedAt`
`Name`
`Status`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DataSourceFilterVariable` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static DataSourceFilterVariable` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataSourceFilterVariable[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CreatedAt

    public static final DataSourceFilterVariable CreatedAt

#### LastUpdatedAt

    public static final DataSourceFilterVariable LastUpdatedAt

#### Status

    public static final DataSourceFilterVariable Status

#### Name

    public static final DataSourceFilterVariable Name

#### DataLocationS3

    public static final DataSourceFilterVariable DataLocationS3

#### IAMUser

    public static final DataSourceFilterVariable IAMUser

### Method Detail

#### values

    public static DataSourceFilterVariable[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataSourceFilterVariable c : DataSourceFilterVariable.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataSourceFilterVariable valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DataSourceFilterVariable>`

#### fromValue

    public static DataSourceFilterVariable fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  DataSourceFilterVariable corresponding to the value